Skip to main content
GET
GET /api/files

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

place
enum<string>
default:all
Available options:
all,
chats,
groups,
tasks,
projects,
agents,
kept,
links,
trash
conversationId
string<uuid>
roomId
string<uuid>
taskId
string<uuid>
projectKey
string
Required string length: 1 - 120
Pattern: ^[\p{L}\p{N}][\p{L}\p{N}._-]*$
botId
string<uuid>
q
string
Required string length: 1 - 200
cursor
string
Required string length: 1 - 200
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Success

files
object[]
required
nextCursor
string | null
required